/* Button menu ================ */

:root {
  --button-menu-size: 30px;
  --button-menu-color: var(--color-black-light);
  --button-menu-color-active: var(--color-secondary);

  --button-menu-icon-width: 17px;
  --button-menu-icon-height: 1px;
}

.button-menu {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: var(--button-menu-size);
  height: var(--button-menu-size);
  padding: 0;
  border: 0;
  color: var(--button-menu-color);
  background-color: transparent;
  cursor: pointer;

  &:active {
    color: var(--button-menu-color-active);
  }

  &:focus {
    outline-width: 4px;
    outline-color: #5ac5f1;
  }
}

.button-menu__icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%);
}

.icon-menu {
  width: var(--button-menu-icon-width);
  height: var(--button-menu-icon-height);
  background-color: currentColor;

  &::after,
  &::before {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: currentColor;
  }

  &::before {
    top: -5px;
  }

  &::after {
    top: 5px;
  }
}
/* ================ end button menu */
